Subject: Re: bug#21215: icecat can't be started by basename only
From: [email-masked] (Ludovic Courtès)
To: Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Feb 2016 19:17:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Danny Milosavljevic <[email-masked]> skribis:

> On Wed, 10 Feb 2016 22:03:21 +0100
> [email-masked] (Ludovic Courtès) wrote:
>
>> [email-masked] (Ludovic Courtès) skribis:
>> 
>> > Danny Milosavljevic <[email-masked]> skribis:
>> >  
>> >> right now on the GuixSD from the website I have about 12 copies of
>> >> icecat installed in /gnu/store but I can start none of them by typing
>> >>
>> >>   $ icecat
>> >>
>> >> Why not?  
>> >
>> > See Taylan’s explanation from last month.
>> >  
>> >> Also, it isn't in Xfce4's Application Finder either (while for example
>> >> HexChat is).  
>> >
>> > Is IceCat installed in the global profile, i.e., specified in the
>> > ‘packages’ field of the ‘operating-system’ declaration, or is it
>> > installed in your user profile?  
>> 
>> Ping!  :-)
>> 
>> Any update on this issue?  (<http://bugs.gnu.org/21215>)
>
> I have a backup HDD with a copy of the installation from back then. 
> I can connect it via USB enclosure. What should I check?

You could answer the question I asked you above, but since you mention
the problem is gone, we’ll assume there was no real problem after all.
;-)

> For the record, on the new GuixSD installation (including guix pull) which I'm using now, I can start icecat by typing "icecat". However, there's still no entry in the start menu - which is pretty annoying.

Please open a different bug for the missing icon in the start menu.

> Also, icecat is in "gnu/packages/gnuzilla.scm". Weird. But ok...

‘guix edit’ FTW!  :-)

Thanks,
Ludo’.